Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal
Interface SignalConnectionObserver

public abstract interface SignalConnectionObserver

This interface defines the methods that applications need to implement in order to use the non-blocking dial functionality.

Method Summary
`void` | `onAccept(DialSignalEvent dse)` This method informs the application that the peer application has accepted the call and is ready to talk.
`void` | `onBusy(DialSignalEvent dse)` This method informs the application that the peer application responded with an indication that it was busy and cannot talk at present.
`void` | `onError(DesktopSignalingException dse)` This method informs the application that an unclassified error occurred during the dial attempt.
`void` | `onIncompatible(DialSignalEvent dse)` This method informs the application that the peer application is incompatible.
`void` | `onInvalid(DialSignalEvent dse)` This method informs the application that the peer application is invalid.
`void` | `onReject(DialSignalEvent dse)` This method informs the application that the peer application has rejected the invitation to talk.
`void` | `onTimeout(DialSignalEvent dse)` This method informs the application that the peer application is not responding so the call should be aborted.

Method Detail

### onAccept

    public void onAccept(DialSignalEvent dse)

  This method informs the application that the peer application has accepted the call and is ready to talk. The appliction can now get the SignalConnection and open it for communication.
  Parameters:
    `dse` - is the DialSignalEvent that contains all the information about the peer.
  Returns:
    void
  See Also:
    `DialSignalEvent`

### onReject

    public void onReject(DialSignalEvent dse)

  This method informs the application that the peer application has rejected the invitation to talk.
  Parameters:
    `dse` - is the DialSignalEvent that contains all the information about the peer.
  Returns:
    void
  See Also:
    `DialSignalEvent`

### onBusy

    public void onBusy(DialSignalEvent dse)

  This method informs the application that the peer application responded with an indication that it was busy and cannot talk at present.
  Parameters:
    `dse` - is the DialSignalEvent that contains all the information about the peer.
  Returns:
    void
  See Also:
    `DialSignalEvent`

### onInvalid

    public void onInvalid(DialSignalEvent dse)

  This method informs the application that the peer application is invalid.
  Parameters:
    `dse` - is the DialSignalEvent that contains all the information about the peer.
  Returns:
    void
  See Also:
    `DialSignalEvent`

### onTimeout

    public void onTimeout(DialSignalEvent dse)

  This method informs the application that the peer application is not responding so the call should be aborted.
  Parameters:
    `dse` - is the DialSignalEvent that contains all the information about the peer.
  Returns:
    void
  See Also:
    `DialSignalEvent`

### onIncompatible

    public void onIncompatible(DialSignalEvent dse)

  This method informs the application that the peer application is incompatible.
  Parameters:
    `dse` - is the DialSignalEvent that contains all the information about the peer.
  Returns:
    void
  See Also:
    `DialSignalEvent`

### onError

    public void onError(DesktopSignalingException dse)

  This method informs the application that an unclassified error occurred during the dial attempt.
  Parameters:
    `dse` - is the DesktopSignalingException that was thrown during the dial sequence
  Returns:
    void
  See Also:
    `DesktopSignalingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD